OpenTTD: NPFSettings Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NPFSettings Struct Reference

Settings related to the new pathfinder. More...

`#include <settings_type.h>`

## Data Fields
uint32 | npf_max_search_nodes
| The maximum amount of search nodes a single NPF run should take.
uint32 | maximum_go_to_depot_penalty
| What is the maximum penalty that may be endured for going to a depot.
uint32 | npf_rail_firstred_penalty
| the penalty for when the first signal is red (and it is not an exit or combo signal)
uint32 | npf_rail_firstred_exit_penalty
| the penalty for when the first signal is red (and it is an exit or combo signal)
uint32 | npf_rail_lastred_penalty
| the penalty for when the last signal is red
uint32 | npf_rail_station_penalty
| the penalty for station tiles
uint32 | npf_rail_slope_penalty
| the penalty for sloping upwards
uint32 | npf_rail_curve_penalty
| the penalty for curves
uint32 | npf_rail_depot_reverse_penalty
| the penalty for reversing in depots
uint32 | npf_rail_pbs_cross_penalty
| the penalty for crossing a reserved rail track
uint32 | npf_rail_pbs_signal_back_penalty
| the penalty for passing a pbs signal from the backside
uint32 | npf_buoy_penalty
| the penalty for going over (through) a buoy
uint32 | npf_water_curve_penalty
| the penalty for curves
uint32 | npf_road_curve_penalty
| the penalty for curves
uint32 | npf_crossing_penalty
| the penalty for level crossings
uint32 | npf_road_drive_through_penalty
| the penalty for going through a drive-through road stop
uint32 | npf_road_dt_occupied_penalty
| the penalty multiplied by the fill percentage of a drive-through road stop
uint32 | npf_road_bay_occupied_penalty
| the penalty multiplied by the fill percentage of a road bay

## Detailed Description

Settings related to the new pathfinder.

Definition at line 346 of file settings_type.h.

## Field Documentation

uint32 NPFSettings::npf_max_search_nodes

The maximum amount of search nodes a single NPF run should take.

This limit should make sure performance stays at acceptable levels at the cost of not being perfect anymore.

Definition at line 352 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h